/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: CountryProperty.java 2378 2009-06-23 13:06:29Z loris $
 * --------------------------------------------------------------------------
 */

/**
 *
 */
package org.ow2.cmi.example.deployment.country;

/**
 * @author eyindanga
 *
 */
public enum CountryProperty {
	/**
	 * Default CMI context factory.
	 */
	CMI_CONTEXT_FACTORY("org.ow2.cmi.jndi.context.CMIInitialContextFactory"),
	/**
	 * The configuration file name.
	 */
	FILE_NAME_PROP("cmi.server.conf.file"),
	/**
	 * The configuration directory.
	 */
	DIR_PROP("cmi.conf.dir"),
	/**
	 * The provider URL property.
	 */
	PROVIDER_URL_PROP("java.naming.provider.url"),
	/**
	 * Default object name.
	 */
	DEFAULT_OBJECT_NAME("gabon-from-dd"),

	/**
	 * Default object name.
	 */
	DEFAULT_FILE_NAME_VALUE("cmi-server-config.xml"),
	/**
	 * Default Deployment descriptor.
	 */
	DEFAULT_DD_NAME("gabon_dd.xml");
	/**
	 * the property's name.
	 */
	private final String propertyName;
	/**
	 * Default constructor.
	 * @param property the value to set.
	 */
	private CountryProperty(final String property) {
		this.propertyName = property;
	}

	/**
	 * @return the propertyName
	 */
	public String getPropertyName() {
		return propertyName;
	}


}
